﻿using C1.CollectionView;
using C1.DataFilter;
using C1.Win.DataFilter;
using C1.Win.Input;
using System;
using System.Drawing;
using System.Windows.Forms;

namespace CustomFilters
{
    public class ModelFilter : CustomFilter
    {
        private C1MultiSelect _multiSelect;

        public ModelFilter()
        {
            Control = _multiSelect = new C1MultiSelect() { Height = 50, Placeholder = "Model of car", AutoCompleteMode = AutoCompleteMode.SuggestAppend };
            _multiSelect.Font = new Font("Calibri", 12);
            _multiSelect.SelectionChanged += MultiSelect_SelectionChanged;
        }

        public C1MultiSelect MultiSelect => _multiSelect;

        private void MultiSelect_SelectionChanged(object sender, EventArgs e)
        {
            OnValueChanged();
        }

        public void SetTagList(object tagSource)
        {
            _multiSelect.BindingInfo.DataSource = tagSource;
            _multiSelect.BindingInfo.DisplayMemberPath = "Model";
        }

        protected override Expression GetExpression()
        {
            var ce = new CombinationExpression() { FilterCombination = FilterCombination.Or };
            foreach (var item in _multiSelect.SelectedItems)
                ce.Expressions.Add(new OperationExpression() { FilterOperation = FilterOperation.Equal, Value = item.Value, PropertyName = PropertyName });
            return ce;
        }

        protected override void SetExpression(Expression expression)
        {
            
        }

        public override bool IsApplied => base.IsApplied && _multiSelect.SelectedItems.Count > 0;
    }
}
